Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Groovy] Class MetaClassEnhancer

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.BaseApiProvider
          org.codehaus.groovy.grails.commons.metaclass.MetaClassEnhancer

    class MetaClassEnhancer
    extends BaseApiProvider

Enhances one or many MetaClasses with the given API methods provided by the super class BaseApiProvider.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class BaseApiProvider
CONSTRUCTOR_METHOD, CTOR_GROOVY_METHOD, constructors, instanceMethods, staticMethods

Method Summary
`void` | `enhance(groovy.lang.MetaClass metaClass)`
`void` | `enhanceAll(java.lang.Iterable metaClasses)`

Methods inherited from class BaseApiProvider
addApi

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### enhance

    void enhance(groovy.lang.MetaClass metaClass)

### enhanceAll

    void enhanceAll(java.lang.Iterable metaClasses)

Groovy Documentation